Bug 1899728

Summary: overview filesystem utilization of OCP is showing the wrong values
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: Management ConsoleAssignee: Seth Jennings <sjenning>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: high Docs Contact:
Priority: medium    
Version: 4.5CC: alklein, aos-bugs, jhadvig, jokerman, palonsor, spadgett, xingli, yapei
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1908587 (view as bug list) Environment:
Last Closed: 2020-12-21 13:23:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1893601    
Bug Blocks: 1908587    

Comment 2 Scott Dodson 2020-12-09 16:51:01 UTC
We've bumped severity of this due to the number of cases attached so that it moves higher in the 4.6.z approval queue.

Comment 5 Yadan Pei 2020-12-17 05:55:08 UTC
Node Filesystem Utilization is using query: sum(node_filesystem_size_bytes{instance="<instance>",mountpoint="/var"} - node_filesystem_avail_bytes{instance="<instance>",mountpoint="/var"})

Cluster Filesystem Utilization is using query: (sum(node_filesystem_size_bytes{mountpoint="/var"}) - sum(node_filesystem_free_bytes{mountpoint="/var"}))

Cluster Filesystem Utilization by Node is using query: topk(25, sort_desc(sum(node_filesystem_size_bytes{mountpoint="/var"} - node_filesystem_avail_bytes{instance=~".*",mountpoint="/var"}) BY (instance)))

Moving to VERIFIED on 4.6.0-0.nightly-2020-12-16-201440

Comment 7 errata-xmlrpc 2020-12-21 13:23:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614